import React, { ChangeEventHandler, Component, RefCallback } from 'react';
import { ResolveThunks } from 'react-redux';
import { importState } from '../../actions';
type DispatchProps = ResolveThunks<typeof actionCreators>;
type Props = DispatchProps;
declare class ImportButton extends Component<Props> {
    fileInput?: HTMLInputElement | null;
    shouldComponentUpdate(): boolean;
    mapRef: RefCallback<HTMLInputElement>;
    handleImport: () => void;
    handleImportFile: ChangeEventHandler<HTMLInputElement>;
    render(): React.JSX.Element;
}
declare const actionCreators: {
    importState: typeof importState;
};
declare const _default: import("react-redux").ConnectedComponent<typeof ImportButton, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<ImportButton> | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
